
Redmine - Defect #9840

Can't log out of 1.3.0 without error

2011-12-19 09:30 - John Lewis

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.3.0

Description

I've managed to get redmine 1.3.0 running within a virtualmin environment and it's all working except that I can't sign out without

getting the dreaded "Internal Error" page.

I'm using:

mysql                     5.1.41

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.5.3

Rack version              1.3

Rails version             2.3.11

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Redmine                   1.3.0 r8296

Here's the relevant section of the production log that might help:

@

Processing AccountController#logout (for 107.3.173.254 at 2011-12-19 00:05:22) [GET]

Parameters: {"action"=>"logout", "controller"=>"account"}

SQL (0.1ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings`

User Load (0.1ms)   SELECT * FROM `users` WHERE (`users`.`id` = 1) AND (users.status = 1) AND ( (`users`.`type` = 'User' OR

`users`.`type` = 'AnonymousUser' ) )

NoMethodError (private method `gsub' called for :autologin:Symbol):

/usr/lib/ruby/vendor_ruby/rack/backports/uri/common.rb:24:in `encode_www_form_component'

/usr/lib/ruby/vendor_ruby/rack/utils.rb:23:in `escape'

/usr/lib/ruby/vendor_ruby/rack/utils.rb:201:in `set_cookie_header!'

/usr/lib/ruby/vendor_ruby/rack/utils.rb:238:in `delete_cookie_header!'

/usr/lib/ruby/vendor_ruby/rack/response.rb:63:in `delete_cookie'

/usr/lib/ruby/vendor_ruby/action_controller/cookies.rb:94:in `delete'

app/controllers/account_controller.rb:132:in `logout_user'

app/controllers/account_controller.rb:36:in `logout'

/usr/lib/ruby/vendor_ruby/action_controller/base.rb:1333:in `send'

/usr/lib/ruby/vendor_ruby/action_controller/base.rb:1333:in `perform_action_without_filters'

/usr/lib/ruby/vendor_ruby/action_controller/filters.rb:617:in `call_filters'

/usr/lib/ruby/vendor_ruby/action_controller/filters.rb:610:in `perform_action_without_benchmark'

/usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:160:in `perform_action_without_flash'

/usr/lib/ruby/vendor_ruby/action_controller/flash.rb:151:in `perform_action'

/usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `send'

/usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `process_without_filters'

/usr/lib/ruby/vendor_ruby/action_controller/filters.rb:606:in `process'

/usr/lib/ruby/vendor_ruby/action_controller/base.rb:391:in `process'

/usr/lib/ruby/vendor_ruby/action_controller/base.rb:386:in `call'

/usr/lib/ruby/vendor_ruby/action_controller/routing/route_set.rb:438:in `call'

/usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:87:in `dispatch'

/usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:121:in `_call'

/usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:130:in `build_middleware_stack'
/usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

/usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:9:in `cache'

/usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:28:in `call'

/usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

/usr/lib/ruby/vendor_ruby/action_controller/string_coercion.rb:25:in `call'

/usr/lib/ruby/vendor_ruby/rack/head.rb:9:in `call'

/usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/vendor_ruby/action_controller/params_parser.rb:15:in `call'

/usr/lib/ruby/vendor_ruby/action_controller/session/cookie_store.rb:99:in `call'

/usr/lib/ruby/vendor_ruby/action_controller/failsafe.rb:26:in `call'

/usr/lib/ruby/vendor_ruby/rack/lock.rb:15:in `call'

/usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:106:in `call'

/usr/lib/ruby/vendor_ruby/rails/rack/static.rb:31:in `call'

/usr/lib/ruby/vendor_ruby/rack/urlmap.rb:52:in `call'

/usr/lib/ruby/vendor_ruby/rack/urlmap.rb:46:in `each'

/usr/lib/ruby/vendor_ruby/rack/urlmap.rb:46:in `call'

/usr/lib/ruby/vendor_ruby/rack/handler/webrick.rb:59:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

/usr/lib/ruby/vendor_ruby/rack/handler/webrick.rb:13:in `run'

Rendering /home/dolphinage/public_html/redmine/public/500.html (500 Internal Server Error@)

Related issues:

Is duplicate of Redmine - Patch #9118: rack 1.3.1 "cookies.delete :autologin"... Closed 2011-08-24

History

#1 - 2011-12-19 10:13 - Etienne Massip

- Category set to Accounts / authentication

#2 - 2011-12-19 10:27 - Etienne Massip

Could you please try with Rack 1.1 (see RedmineInstall)?

#3 - 2011-12-19 10:29 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Actually duplicates #9118.

#4 - 2011-12-22 10:34 - Etienne Massip

BTW:

Rails version 2.3.11

Active Record version 2.3.14

Active Resource version 2.3.14

Action Mailer version 2.3.14

Active Support version 2.3.14

?
